Bug 1807342 - Fedora 32 backgrounds not included
Summary: Fedora 32 backgrounds not included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 32
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedBlocker
Depends On: 1810377 1811160
Blocks: BetaBlocker, F32BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2020-02-26 07:16 UTC by Adam Williamson
Modified: 2020-03-21 17:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-10 23:35:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure design issue 669 None None None 2020-03-02 21:45:00 UTC

Description Adam Williamson 2020-02-26 07:16:28 UTC
It seems we don't have backgrounds for Fedora 32 yet. Fedora 32 KDE installs are currently using a generic upstream background, but Fedora 32 GNOME/Workstation installs are using the Fedora 31 background, which is a violation of the Basic criteria:

"The default desktop background must be different from that of the last two stable releases."

so proposing this as a Beta blocker. As usual we need a few things to happen: the f32-backgrounds package needs to be created and reviewed, then desktop-backgrounds and I think a couple of KDE packages need to be updated. We can use this as a tracker bug for the various things that need to be done.

Comment 1 Adam Williamson 2020-02-28 17:29:26 UTC
This is actually an automatic blocker: "The default desktop background in a release-blocking desktop being the same as one of the last two stable releases" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers . Marking as accepted.

Comment 2 Ben Cotton 2020-03-02 21:45:00 UTC
Designs being discussed in https://pagure.io/design/issue/669

Comment 3 Fedora Update System 2020-03-06 00:13:34 UTC
FEDORA-2020-ed62604eca has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed62604eca

Comment 4 Adam Williamson 2020-03-06 18:14:18 UTC
The update should not be marked as fixing this bug (yet), as it alone will only fix GNOME, not KDE (which is also release-blocking). To fix KDE we also need a kde-settings upstream bump and package update. I have filed https://bugzilla.redhat.com/show_bug.cgi?id=1811160 and will set it as blocking this bug.

Comment 5 Adam Williamson 2020-03-07 18:54:22 UTC
Testing so far confirms we have new backgrounds on GNOME but not KDE yet. I've pinged rdieter and kevin_kofler about the KDE build that's needed.

Comment 6 Adam Williamson 2020-03-10 01:14:38 UTC
The update now contains everything that should be needed for both GNOME and KDE, so setting to ON_QA here.

Comment 7 Fedora Update System 2020-03-10 20:47:15 UTC
FEDORA-2020-41f8211c33 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-41f8211c33

Comment 8 Adam Williamson 2020-03-10 23:35:17 UTC
Somehow KDE is *still* not right even with everything I can find to poke, poked :(

But it's not showing an earlier Fedora background (it's showing the upstream 'Next' background), thus we are technically not violating the Beta criteria any more, and we're specifically stuck on KDE now. I think I'm going to close this, and open a new KDE-specific bug and nominate it as Final blocker and Beta FE.

Comment 9 Fedora Update System 2020-03-12 18:49:08 UTC
f32-backgrounds-32.0.0-3.fc32, kde-settings-32.0-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-41f8211c33

Comment 10 Fedora Update System 2020-03-21 17:33:42 UTC
FEDORA-2020-41f8211c33 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-41f8211c33


Note You need to log in before you can comment on or make changes to this bug.